Home page logo
/

bugtraq logo Bugtraq mailing list archives

CDE libDtHelp and dtlogin vulnerabilities on IRIX
From: SGI Security Coordinator <agent99 () sgi com>
Date: Tue, 3 Aug 2004 13:36:58 -0700

-----BEGIN PGP SIGNED MESSAGE-----

______________________________________________________________________________

                          SGI Security Advisory

   Title:      libDtHelp and dtlogin vulnerabilities
   Number:     20040801-01-P
   Date:       August 3, 2004
   Reference:  SGI BUG 902695, CVE CAN-2003-0834, CERT VU#575804
   Reference:  SGI BUG 913116, CVE CAN-2004-0368, CERT VU#179804
   Fixed in:   CDE 5.3.4
______________________________________________________________________________

SGI provides this information freely to the SGI user community for its
consideration, interpretation, implementation and use.   SGI recommends
that this information be acted upon as soon as possible.

SGI provides the information in this Security Advisory on an "AS-IS"
basis only, and disclaims all warranties with respect thereto, express,
implied or otherwise, including, without limitation, any warranty of
merchantability or fitness for a particular purpose.  In no event shall
SGI be liable for any loss of profits, loss of business, loss of data or

for any indirect, special, exemplary, incidental or consequential damages
of any kind arising from your use of, failure to use or improper use of
any of the instructions or information in this Security Advisory.
_____________________________________________________________________________

- -----------------------
- --- Issue Specifics ---
- -----------------------

It has been reported that there are two vulnerabilities in Common Desktop
Environment (CDE) which can be used to obtain root user privileges:

* 902695: libDtHelp has a buffer overflow
  http://www.kb.cert.org/vuls/id/575804
  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2003-0834

* 913116: dtlogin double-free vulnerability
  http://www.kb.cert.org/vuls/id/179804
  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0368

A new CDE package has been released to address these vulnerabilities.

SGI has investigated the issue and recommends the following steps for
resolving this issue.  It is HIGHLY RECOMMENDED that these measures
be implemented on ALL vulnerable SGI systems.


- --------------
- --- Impact ---
- --------------

CDE is an optional product and is not installed by default.

To determine if CDE is installed, execute the following
command:

  # /usr/sbin/versions -b CDE

This will return a result similar to the following:

     Name                 Date        Description
  I  CDE                  5/11/03     Common Desktop Environment, 5.3.3


- ----------------
- --- Solution ---
- ----------------

SGI has provided a new CDE 5.3.4 inst package to address these security issues.
The new CDE 5.3.4 inst package is available on the IRIX 6.5.25 Applications
CD or ftp://patches.sgi.com/support/free/security/patches/6.5.25/

         Version                      Vulnerable?   Other Actions
- ---------------------------------     -----------   -------------
Common Desktop Environment, 5.0        unknown      Note 1
Common Desktop Environment, 5.1        unknown      Note 1
Common Desktop Environment, 5.2        unknown      Note 1
Common Desktop Environment, 5.3        unknown      Note 1
Common Desktop Environment, 5.3.1      unknown      Note 1
Common Desktop Environment, 5.3.2      unknown      Note 1
Common Desktop Environment, 5.3.3       yes         Notes 2 & 3
Common Desktop Environment, 5.3.4       no


   NOTES

     1) This version of the CDE is not actively supported.
        Upgrade to an actively supported CDE package.
        See http://support.sgi.com/ for more information.

     2) Install the new CDE 5.3.4 inst package from IRIX 6.5.25 Applications
        CD or ftp://patches.sgi.com/support/free/security/patches/6.5.25/

     3) libDtHelp vulnerability is also addressed with patch 5386,
        but does not include the dtlogin fix.


- ------------------------
- --- Acknowledgments ----
- ------------------------

SGI wishes to thank CERT, Dave Aitel and FIRST for their assistance
in this matter.


- -------------
- --- Links ---
- -------------

SGI Security Advisories can be found at:
http://www.sgi.com/support/security/ and
ftp://patches.sgi.com/support/free/security/advisories/

Red Hat Errata: Security Alerts, Bugfixes, and Enhancements
http://www.redhat.com/apps/support/errata/

SGI Advanced Linux Environment security updates can found on:
ftp://oss.sgi.com/projects/sgi_propack/download/

SGI patches can be found at the following patch servers:
http://support.sgi.com/

The primary SGI anonymous FTP site for security advisories and
security patches is ftp://patches.sgi.com/support/free/security/


- -----------------------------------------
- --- SGI Security Information/Contacts ---
- -----------------------------------------

If there are questions about this document, email can be sent to
security-info () sgi com 

                      ------oOo------

SGI provides security information and patches for use by the entire SGI
community.  This information is freely available to any person needing the
information and is available via anonymous FTP and the Web.

The primary SGI anonymous FTP site for security advisories and patches is
patches.sgi.com.  Security advisories and patches are located under the URL
ftp://patches.sgi.com/support/free/security/

The SGI Security Headquarters Web page is accessible at the URL:
http://www.sgi.com/support/security/

For issues with the patches on the FTP sites, email can be sent to
security-info () sgi com 

For assistance obtaining or working with security patches, please
contact your SGI support provider.

                      ------oOo------

SGI provides a free security mailing list service called wiretap and
encourages interested parties to self-subscribe to receive (via email) all
SGI Security Advisories when they are released. Subscribing to the mailing
list can be done via the Web
(http://www.sgi.com/support/security/wiretap.html) or by sending email to
SGI as outlined below.

% mail wiretap-request () sgi com
subscribe wiretap < YourEmailAddress such as midwatch () sgi com >
end
^d

In the example above, <YourEmailAddress> is the email address that you wish
the mailing list information sent to.  The word end must be on a separate
line to indicate the end of the body of the message. The control-d (^d) is
used to indicate to the mail program that you are finished composing the
mail message.


                      ------oOo------

SGI provides a comprehensive customer World Wide Web site. This site is
located at http://www.sgi.com/support/security/ .

                      ------oOo------

If there are general security questions on SGI systems, email can be sent to
security-info () sgi com 

For reporting *NEW* SGI security issues, email can be sent to
security-alert () sgi com or contact your SGI support provider.  A support
contract is not required for submitting a security report.

______________________________________________________________________________
      This information is provided freely to all interested parties
      and may be redistributed provided that it is not altered in any
      way, SGI is appropriately credited and the document retains and
      includes its valid PGP signature.

-----BEGIN PGP SIGNATURE-----
Version: 2.6.2

iQCVAwUBQQ/1X7Q4cFApAP75AQHulwP/YS1mk8pTl6b9omxJdyDKfEwgaU+lSGqF
862cjLO9WdAbL+vH6IDtmOENU31TK0T6sbXXsYCetsHgytmHKwqT1Z8PFtnZoE/N
KvIb6nppfso5AmfRDU/gynlrudMirxZZp9t8H7EvjswMIzhkJuxDXfS8FH4i74fX
IYi14o1v3Fc=
=BP3a
-----END PGP SIGNATURE-----


  By Date           By Thread  

Current thread:
  • CDE libDtHelp and dtlogin vulnerabilities on IRIX SGI Security Coordinator (Aug 03)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]
AlienVault